Subject: RE: (ngtrans) 6to4 issue: link local

From: Richard Draves <[email-masked]>
Date: Tue, 2 May 2000 09:07:22 -0700

I agree with itojun, link-local addresses make no sense for 6to4. Sure you
could assign a link-local address to your 6to4 interface. But no one would
be able to send to it because there's no way to resolve the link-local
address into a link-layer (v4) address.

Link-local addresses do make sense for point-to-point configured tunnels,
because you know the other side's v4 address.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Monday, May 01, 2000 4:54 PM
> To: Brian E Carpenter
> Cc: Alain Durand; NGtrans List
> Subject: Re: (ngtrans) 6to4 issue: link local
> 
> 
> 
> >I'm still struggling with this. 6to4 does exactly what 
> draft-ietf-ngtrans-mech-06.txt
> >does, by reference. If this problem exists for a 6to4 
> router, why doesn't it exist for
> >any IPv6 router connected by a tunnel? In both cases the 
> underlying Interface ID 
> >on the virtual interface of the router is the IPv4 address. 
> I don't see any difference.
> 
> 	I'm not just talking about link-local address format, 
> but also worried
> 	about complication due to sending mechanism.
> 
> 	For other tunnelling mechanisms (like RFC1933 configured tunnel)
> 	we configure IPv4 address of the peer separately to the router.
> 	We always know the peer's IPv4 address if we determine outgoing
> 	interface.
> 
> 	For 6to4, the only place we can get IPv4 address for a 
> particular
> 	6to4 desination is from 6to4 prefix (3rd to 6th bytes).  My
> 	understanding is that we can transmit packets across 
> 6to4 cloud, if
> 	and only if the destination address (or gateway) belongs to 6to4
> 	prefix (2002::/16).
> 
> itojun
>

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 02 May 2000 16:22:19 -0500

Let me say it another way to see if I have it straight.

We can formally construct a link-local address (exactly as for
an IPv6-in-IPv4 tunnel) but because there is no 1:1 peer relationship
across a 6to4 exterior routing domain, the other end cannot determine
what that link-local address is.

Would you accept a phrasing in the document like:
   The link-local address of a 6to4 pseudo-interface performing 6to4
   encapsulation would be formed as described in Section 3.7 of [MECH].
   However, no scenario is known in which such an address would be useful.

The reason: this will cover the issue for future readers, and also
cover the case where a use is discovered.

Also see one more comment at the end...

    Brian  

> >       and only if the destination address (or gateway) belongs to 6to4

Right, just to be clear, Sowmini noticed that it is not the destination
address that counts, it is the next hop address (i.e. the next router
*or* the destination according to circumstances).